<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qs.mp.admin.mapper.CouponMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.qs.mp.admin.domain.Coupon">
        <id column="coupon_id" property="couponId" />
        <result column="title" property="title" />
        <result column="type" property="type" />
        <result column="pic_url" property="picUrl" />
        <result column="description" property="description" />
        <result column="discount_type" property="discountType" />
        <result column="discount" property="discount" />
        <result column="min_order_amt" property="minOrderAmt" />
        <result column="channel_shared_rate" property="channelSharedRate" />
        <result column="status" property="status" />
        <result column="use_area" property="useArea" />
        <result column="distribute_type" property="distributeType" />
        <result column="composite_use" property="compositeUse" />
        <result column="due_days" property="dueDays" />
        <result column="valid_start" property="validStart" />
        <result column="valid_end" property="validEnd" />
        <result column="quantity" property="quantity" />
        <result column="distribute_qty" property="distributeQty" />
        <result column="is_deleted" property="isDeleted" />
        <result column="created_time" property="createdTime" />
        <result column="updated_time" property="updatedTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        coupon_id, title, type, pic_url, description, discount_type, discount, min_order_amt, channel_shared_rate, status, use_area, distribute_type, composite_use, due_days, valid_start, valid_end, quantity, distribute_qty, is_deleted, created_time, updated_time
    </sql>

</mapper>
